LabelResource
RESTful endpoint for managing a Label.
The following resources are applicable:
- /controller/process-groups/{process-group-id}/labels
- /controller/process-groups/{process-group-id}/labels/{id}
/controller/process-groups/{process-group-id}/labels
Mount Point: /rest/controller/process-groups/{process-group-id}/labels
The following operations are supported on this resource:
GET
Retrieves all the of labels in this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | labelsEntity |
| media types: | application/xml application/json |
A labelsEntity.
POST
Creates a new label.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| width | The width of the label. | form | |
| height | The height of the label. | form | |
| label | The label's value. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | labelEntity |
| media types: | application/xml application/json |
A labelEntity.
POST
Creates a new Label.
Parameters
| name | description | type | default |
|---|---|---|---|
| process-group-id | (no documentation provided) | path |
Request Body
| element: | labelEntity |
| media types: | application/xml application/json |
A labelEntity.
Response Body
| element: | labelEntity |
| media types: | application/xml application/json |
A labelEntity.
/controller/process-groups/{process-group-id}/labels/{id}
Mount Point: /rest/controller/process-groups/{process-group-id}/labels/{id}
The following operations are supported on this resource:
GET
Retrieves the specified label.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the label to retrieve | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | labelEntity |
| media types: | application/xml application/json |
A labelEntity.
PUT
Updates the specified label.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the label to update. | path | |
| label | The label's value. | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| width | The width of the label. | form | |
| height | The height of the label. | form | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | formParams |
| media types: | application/x-www-form-urlencoded |
Additionally, the label styles are specified in the
form parameters. They are specified in a map-like fashion:
- style[background-color]=#aaaaaa
Response Body
| element: | labelEntity |
| media types: | application/xml application/json |
A labelEntity.
PUT
Updates the specified label.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the label to update. | path | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | labelEntity |
| media types: | application/xml application/json |
A labelEntity.
Response Body
| element: | labelEntity |
| media types: | application/xml application/json |
A labelEntity.
DELETE
Removes the specified label.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | query | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the label to remove. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | labelEntity |
| media types: | application/xml application/json |
A entity containing the client id and an updated revision.